select
  co.numero as numero_cotacao
  , co.descricao as descricao_cotacao
  , co.dtcotacao as data_cotacao
  , pr.nome as produto
  , coi.qtde as quantidade
  , pes.nome as fornecedor
  , coifor.preco as preco_fornecedor
  , coifor.observacao as observacao
from
  cotacao co
  join cotacaoitem coi on coi.cdcotacao = co.cdcotacao
  join produto pr on pr.cdproduto = coi.cdproduto
  join cotacaoitemfornecedor coifor on coifor.cdcotacaoitem = coi.cdcotacaoitem
  join pessoa pes on pes.cdpessoa = coifor.cdfornecedor
order by
  pr.nome, pes.nome